SQueueStats (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Class SQueueStats

- java.lang.Object
- - com.sleepycat.client.SQueueStats

- All Implemented Interfaces:
    SDatabaseStats

      public class SQueueStats
      extends java.lang.Object
      implements SDatabaseStats

  The SQueueStats object is used to return Queue database statistics.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCurRecno()` The next available record number.
    `int` | `getExtentSize()` The underlying database extent size, in pages.
    `int` | `getFirstRecno()` The first undeleted record in the database.
    `int` | `getMagic()` The magic number that identifies the file as a Queue file.
    `int` | `getNumData()` The number of records in the database.
    `int` | `getNumKeys()` The number of records in the database.
    `int` | `getPages()` The number of pages in the database.
    `int` | `getPagesFree()` The number of bytes free in database pages.
    `int` | `getPageSize()` The underlying database page size, in bytes.
    `int` | `getReLen()` The length of the records.
    `int` | `getRePad()` The padding byte value for the records.
    `int` | `getVersion()` The version of the Queue database.
    `java.lang.String` | `toString()` For convenience, the SQueueStats class has a toString method that lists all the data fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getCurRecno

          public int getCurRecno()

      The next available record number.
      Returns:
        the next available record number

    - #### getExtentSize

          public int getExtentSize()

      The underlying database extent size, in pages.
      Returns:
        the underlying database extent size, in pages

    - #### getFirstRecno

          public int getFirstRecno()

      The first undeleted record in the database.
      Returns:
        the first undeleted record in the database

    - #### getMagic

          public int getMagic()

      The magic number that identifies the file as a Queue file.
      Returns:
        the magic number that identifies the file as a Queue file

    - #### getNumData

          public int getNumData()

      The number of records in the database.

      If the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was configured by the `SStatsConfig.setFast(boolean)` method, the count will be the last saved value unless it has never been calculated, in which case it will be 0.

      Returns:
        the number of records in the database

    - #### getNumKeys

          public int getNumKeys()

      The number of records in the database.

      If the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was configured by the `SStatsConfig.setFast(boolean)` method, the count will be the last saved value unless it has never been calculated, in which case it will be 0.

      Returns:
        the number of records in the database

    - #### getPages

          public int getPages()

      The number of pages in the database.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of pages in the database

    - #### getPagesFree

          public int getPagesFree()

      The number of bytes free in database pages.

      The information is only included if the `SDatabase.getStats(com.sleepycat.client.STransaction, com.sleepycat.client.SStatsConfig)` call was not configured by the `SStatsConfig.setFast(boolean)` method.

      Returns:
        the number of bytes free in database pages

    - #### getPageSize

          public int getPageSize()

      The underlying database page size, in bytes.
      Returns:
        the underlying database page size, in bytes

    - #### getReLen

          public int getReLen()

      The length of the records.
      Returns:
        the length of the records

    - #### getRePad

          public int getRePad()

      The padding byte value for the records.
      Returns:
        the padding byte value for the records

    - #### getVersion

          public int getVersion()

      The version of the Queue database.
      Returns:
        the version of the Queue database

    - #### toString

          public java.lang.String toString()

      For convenience, the SQueueStats class has a toString method that lists all the data fields.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a String that lists all fields

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.